Blackboard required plug-ins

The following should be installed on your computer:

If you still experience issues after updating the required software and plugins you may need to install and use Mozilla Firefox. Mozilla Firefox is a Web Browser that can be used with Blackboard instead of Internet Explorer.

For people using a Mac, you may get an error asking about Plug-ins when trying to access adobe files within some of your courses. If you get this error, Blackboard recommended installing the following plugin.


If you pass all checks listed below, you should be able to use the main features of Blackboard
 
Browser
Check
Warning
Browser:
Version:
Platform:
For a list of supported Browsers, please refer to the Browser Support Matrix.
 
JavaScript
Check
Fail If this check fails, refer to the Browser Settings Guide for instructions on enabling Javascript for your browser.
 
Cookies
Check
Fail If this check fails, refer to the Browser Settings Guide for instructions on enabling Cookies for your browser.
 
Popup
Window
Check
Fail If this check fails, refer to the Browser Settings Guide for instructions on enabling Popup Windows for your browser.
 
Port 80
Check
Fail This check works by trying to download an image through the specified port.  Port 80 is the standard web (http) port.
 
Java
Check
No Java Support.
If you see nothing to the left (or just a gray box) then Java functionality is not available.

WARNING: A recent advisory has indicated Java 7 update 10 and earlier versions of Java 7 contain a security vulnerability. We are recommending all users of Java 1.7 upgrade to the latest version of Java (currently 1.7.0_13). Download Java.

NOTE: Java 1.6 is not impacted by the security vulnerability.
 
Plugin Checks
Plugin Installed Version
Adobe Flash
Adobe Shockwave
Adobe Reader
Apple QuickTime
RealPlayer
Windows Media Player